import typescript from 'typescript';
import { BaseParseResult, Processor } from './processor';
interface ParseResult extends BaseParseResult {
    node: typescript.ImportDeclaration;
}
/**
 * Processor for `import module from 'module'`
 */
export declare class ImportProcessor extends Processor {
    parse(node: typescript.Node): ParseResult;
    updateModuleName(moduleName: string, { node }: ParseResult): typescript.Node;
}
export {};
